﻿using FichaBackend.Models;
using FichaBackend.Services;
using Microsoft.AspNetCore.Mvc;

namespace FichaBackend.Controllers;

[ApiController]
[Route("v1/parser")]
public class ParserController : ControllerBase
{
    private readonly ILogger<MainController> _logger;
    private readonly IPublicDataService _publicDataService;

    public ParserController(ILogger<MainController> logger, IPublicDataService publicDataService)
    {
        _logger = logger;
        _publicDataService = publicDataService;
    }
    
    [HttpPost("UpdateFilms")]
    public async Task<ActionResult> UpdateFilmsInCity(List<FilmDto> films)
    {
        var val = films.First().City;
        if (films.Any(x => x.City != val))
            return BadRequest("All films must be in the same city");
        
        await _publicDataService.UpdateFilmsInCity(films);
        return Ok("Films updated");
    }
}